org.apache.commons.math3.analysis

## Interface UnivariateVectorFunction

All Known Subinterfaces:
  DifferentiableUnivariateVectorFunction, UnivariateDifferentiableVectorFunction

All Known Implementing Classes:
  HermiteInterpolator

    public interface UnivariateVectorFunction

An interface representing a univariate vectorial function.

Since:
  2.0
Version:
  $Id: UnivariateVectorFunction.java 1364387 2012-07-22 18:14:11Z tn $

### Method Summary

Methods
`double[]` `value(double x)` Compute the value for the function.

### Method Detail

#### value

    double[] value(double x)

Compute the value for the function.

Parameters:
  `x` - the point for which the function value should be computed
Returns:
  the value